/* cutomize text logo */
#brand {
    --brandTextColor: white;
    position: relative;
    font-size: 2.1em;
    color: var(--brandTextColor);
    transition: .2s ease-in;
}

.projectHeader {
    height: 100vh;
    width: 100vw;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #111;
    z-index: 0;
}

.projectHeader>div {
    gap: .5em;
    transition: .3s ease;
}

.projectHeader>div h1 {
    font-size: 3.3em;
    letter-spacing: .2em;
    text-align: center;
    animation: letterSpacing .8s ease-in-out;
}

.projectHeader>div img {
    animation: imageFromLeft .8s ease-in-out;
    width: 90%;
}

::selection {
    background: #acacac;
}

::-moz-selection {
    /* Code for Firefox */
    background: #acacac;
}

.projectBody {
    background-color: #ffffff;
    color: black;
    margin-top: 100vh;
    height: auto;
    width: 100vw;
    z-index: 2;
    /* border: 3px solid red; */
}

.cursor-tracker {
    z-index: 3 !important;
}

@media (max-width: 992px) {
    .projectBody .container {
        width: 90%;
        margin: auto inherit;
    }

    .projectBody h1 {
        font-size: 3em !important;
    }
}

.projectBody .projectDescription {
    font-size: 1.25em;
    color: black;
    letter-spacing: .05em;
    /* word-spacing: .01em; */
}

.bottomNavigationBtn {
    cursor: pointer;
    width: 50px;
    height: 50px;
    background: transparent;
    background-repeat: no-repeat;
    background-size: 100%;
    border-radius: 100%;
    animation: fillBackground .6s ease-in, do-levitation 1.2s alternate ease-in-out infinite;
}

.bottomNavigationBtn i {
    font-size: 1.3em;
    animation: arrowDown .8s ease-in-out;
}

@keyframes fillBackground {
    0% {
        background-size: 0%;
    }

    100% {
        background-size: 100%;
    }
}

@keyframes arrowDown {
    0% {
        opacity: 0;
        translate: 0 -1em;
    }

    100% {
        opacity: 1;
        translate: 0 0;
    }
}

@keyframes imageFromLeft {
    0% {
        translate: 18em 0;
    }

    100% {
        translate: 0 0;
    }
}

@keyframes letterSpacing {
    0% {
        letter-spacing: 0;
    }

    100% {
        letter-spacing: .2em;
    }
}

/* READ MORE BTN */
#readMore div:first-child {}

#readMore {
    --readMoreDimension: 60px;
    position: fixed;
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    background-color: black;
    color: white;
    bottom: -120px;
    z-index: 20;
    right: 0%;
    margin: 3em;
    gap: 1.2em;
    border-radius: 40px;
    width: var(--readMoreDimension);
    height: var(--readMoreDimension);
    transition: .2s ease-in-out;
    opacity: 0;
    text-decoration: none;
}

#readMore div:first-child {
    width: 0px;
}

#readMore i {
    font-size: 1.3em;
    rotate: -30deg;
    transition: .2s ease-in-out;
}

#readMore:hover {
    scale: 1.05;
}
#readMore:hover i {
    rotate: 0deg;
}

#readMore:hover {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

#readMore:hover::before {
    width: 140px;
    left: -120px;
}

#readMore::before {
    position: absolute;
    content: 'LIRE PLUS';
    top: 0;
    left: 30px;
    background-color: #000;
    color: white;
    font-weight: bold;
    width: 0;
    overflow: hidden;
    height: var(--readMoreDimension);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 40px;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
    transition: .2s ease-in;
    transition-property: width, left;
}

/* #readMore{
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
} */

.projectBody .container {
    margin-top: 85px !important;
}

.projectBody h6 {
    color: black;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: .1em;
    word-spacing: .2em;
}

.projectBody h1 {
    color: black;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: .1em;
    font-size: 4em;
}

.bgVideo {
    width: 100vw;
    height: 100vh;
    position: relative;
}

.bgVideo video {
    position: relative;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
    max-width: 100%;
    max-height: 100%;
    object-fit: fill;
}

.bgVideo::before {
    content: ' ';
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000000aa;
    width: 100vw;
    height: 100vh;
    z-index: 26300 !important;
}

.projectHeaderMeta {
    position: absolute;
    z-index: 26400;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}

.projectHeaderMeta>div {
    gap: .5em;
}

.projectHeaderMeta img {
    min-width: 450px;
    height: 450px;
}

@media (max-width: 572px) {
    .longImageContainer img{
        width: 100%;
    }
    .projectHeaderMeta img {
        min-width: 350px;
        height: auto !important;
    }

}